#include <iostream>

using namespace std;

int main()
{
    int n, m, i;
    cin>>n>>m;
    int t[n][2];
    for(i=0;i<n;i++)
        cin>>t[i][0]>>t[i][1];
    int q[m][3];
    for(i=0;i<m;i++)
        cin>>q[i][0]>>q[i][1]>>q[i][2];

    int szamol;
    for(i=0;i<m;i++)
    {
        szamol=0;
        for(int j=q[i][0]-1;j<q[i][1];j++)
        {
            if(q[i][2]>=t[j][0] && q[i][2]<=t[j][1])
                szamol++;
        }
        cout<<szamol<<endl;
    }


    return 0;
}